#!/usr/bin/env python3

"""Blueprints for HTML serving 'ui'."""

import logging
from datetime import timedelta
from importlib.resources import files

from click import group

from flask import (
    Blueprint,
    current_app,
    request,
    Request,
    redirect,
    render_template,
    session,
    url_for,
    flash,
)

from .util import is_logged_in

log = logging.getLogger(__name__)
BLUEPRINT = Blueprint("printer", __name__)


@BLUEPRINT.route("/printers")
def printers():
    return render_template("printers.html.j2")


@BLUEPRINT.route("/printers/add", methods=["get", "post"])
def add_printer():
    if not is_logged_in(request):
        return redirect("/")

    elif request.method == "POST":
        pass

    return render_template("add_printer.html.j2")


@BLUEPRINT.route("/printers/delete")
def delete_printer():
    return render_template("delete_printer.html.j2")
